# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TGetTableTypesReq._Fields

Packages that use TGetTableTypesReq._Fields
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetTableTypesReq._Fields in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetTableTypesReq._Fields in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static enum`
`TGetTableTypesReq._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetTableTypesReq._Fields
Modifier and Type
Class
Description
`class`
`TGetTableTypesReq`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TGetTableTypesReq._Fields
Modifier and Type
Field
Description
`static final Map<TGetTableTypesReq._Fields,org.apache.thrift.meta_data.FieldMetaData>`
TGetTableTypesReq.`metaDataMap`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetTableTypesReq._Fields
Modifier and Type
Method
Description
`TGetTableTypesReq._Fields`
TGetTableTypesReq.`fieldForId(int fieldId)`
`static TGetTableTypesReq._Fields`
TGetTableTypesReq._Fields.`findByName(String name)`
Find the _Fields constant that matches name, or null if its not found.
`static TGetTableTypesReq._Fields`
TGetTableTypesReq._Fields.`findByThriftId(int fieldId)`
Find the _Fields constant that matches fieldId, or null if its not found.
`static TGetTableTypesReq._Fields`
TGetTableTypesReq._Fields.`findByThriftIdOrThrow(int fieldId)`
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`static TGetTableTypesReq._Fields`
TGetTableTypesReq._Fields.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TGetTableTypesReq._Fields[]`
TGetTableTypesReq._Fields.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTableTypesReq._Fields
Modifier and Type
Method
Description
`Object`
TGetTableTypesReq.`getFieldValue(TGetTableTypesReq._Fields field)`
`boolean`
TGetTableTypesReq.`isSet(TGetTableTypesReq._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`void`
TGetTableTypesReq.`setFieldValue(TGetTableTypesReq._Fields field, Object value)`